/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.admin.directory.model;

import com.google.api.client.json.GenericJson;

/**
 * JSON template for Alias object in Apps Directory API.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Admin Directory API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Alias extends GenericJson {

  /**
   * A alias email
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String alias;

  /**
   * Unique id of the group (Read-only) Unique id of the user (Read-only)
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String id;

  /**
   * Kind of resource this is.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Group's primary email (Read-only) User's primary email (Read-only)
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String primaryEmail;

  /**
   * A alias email
   * The value returned may be {@code null}.
   */
  public String getAlias() {
    return alias;
  }

  /**
   * A alias email
   * The value set may be {@code null}.
   */
  public Alias setAlias(String alias) {
    this.alias = alias;
    return this;
  }

  /**
   * Unique id of the group (Read-only) Unique id of the user (Read-only)
   * The value returned may be {@code null}.
   */
  public String getId() {
    return id;
  }

  /**
   * Unique id of the group (Read-only) Unique id of the user (Read-only)
   * The value set may be {@code null}.
   */
  public Alias setId(String id) {
    this.id = id;
    return this;
  }

  /**
   * Kind of resource this is.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Kind of resource this is.
   * The value set may be {@code null}.
   */
  public Alias setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Group's primary email (Read-only) User's primary email (Read-only)
   * The value returned may be {@code null}.
   */
  public String getPrimaryEmail() {
    return primaryEmail;
  }

  /**
   * Group's primary email (Read-only) User's primary email (Read-only)
   * The value set may be {@code null}.
   */
  public Alias setPrimaryEmail(String primaryEmail) {
    this.primaryEmail = primaryEmail;
    return this;
  }

}
